MCP Tools Reference: ces.googleapis.com

工具:update_app

更新指定应用。请务必始终在输入中传递更新掩码。

以下示例演示了如何使用 curl 调用 update_app MCP 工具。

Curl 请求
                  
curl --location 'https://ces.[REGION].rep.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "update_app",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

输入架构

AgentService.UpdateApp 的请求消息。

UpdateAppRequest

JSON 表示法
{
  "app": {
    object (App)
  },
  "updateMask": string
}
字段
app

object (App)

必需。要更新的应用。

updateMask

string (FieldMask format)

可选。字段掩码用于控制要更新的字段。如果未提供掩码,则系统将更新所有字段。

这是完全限定字段名称的逗号分隔列表。示例:"user.displayName,photo"

应用

JSON 表示法
{
  "name": string,
  "displayName": string,
  "description": string,
  "pinned": boolean,
  "rootAgent": string,
  "languageSettings": {
    object (LanguageSettings)
  },
  "timeZoneSettings": {
    object (TimeZoneSettings)
  },
  "audioProcessingConfig": {
    object (AudioProcessingConfig)
  },
  "loggingSettings": {
    object (LoggingSettings)
  },
  "errorHandlingSettings": {
    object (ErrorHandlingSettings)
  },
  "modelSettings": {
    object (ModelSettings)
  },
  "toolExecutionMode": enum (ToolExecutionMode),
  "evaluationMetricsThresholds": {
    object (EvaluationMetricsThresholds)
  },
  "variableDeclarations": [
    {
      object (VariableDeclaration)
    }
  ],
  "predefinedVariableDeclarations": [
    {
      object (VariableDeclaration)
    }
  ],
  "globalInstruction": string,
  "guardrails": [
    string
  ],
  "dataStoreSettings": {
    object (DataStoreSettings)
  },
  "defaultChannelProfile": {
    object (ChannelProfile)
  },
  "metadata": {
    string: string,
    ...
  },
  "createTime": string,
  "updateTime": string,
  "etag": string,
  "deploymentCount": integer,
  "clientCertificateSettings": {
    object (ClientCertificateSettings)
  },
  "locked": boolean
}
字段
name

string

标识符。应用的唯一标识符。格式:projects/{project}/locations/{location}/apps/{app}

displayName

string

必需。应用的显示名称。

description

string

可选。应用的人类可读说明。

pinned

boolean

可选。应用是否固定在应用列表中。

rootAgent

string

可选。根代理是应用的入口点。格式:projects/{project}/locations/{location}/apps/{app}/agents/{agent}

languageSettings

object (LanguageSettings)

可选。应用的语言设置。

timeZoneSettings

object (TimeZoneSettings)

可选。应用的 TimeZone 设置。

audioProcessingConfig

object (AudioProcessingConfig)

可选。应用的音频处理配置。

loggingSettings

object (LoggingSettings)

可选。应用的日志记录设置。

errorHandlingSettings

object (ErrorHandlingSettings)

可选。应用错误处理设置。

modelSettings

object (ModelSettings)

可选。应用的默认 LLM 模型设置。各个资源(例如代理、安全屏障)可以根据需要替换这些配置。

toolExecutionMode

enum (ToolExecutionMode)

可选。应用的工具执行模式。如果未提供,将默认为 PARALLEL。

evaluationMetricsThresholds

object (EvaluationMetricsThresholds)

可选。应用的评估阈值。

variableDeclarations[]

object (VariableDeclaration)

可选。变量的声明。

predefinedVariableDeclarations[]

object (VariableDeclaration)

仅限输出。应用的预定义变量的声明。

globalInstruction

string

可选。应用中所有代理的指令。您可以使用此指令为所有代理设置稳定的身份或个性。

guardrails[]

string

可选。应用的防护栏列表。格式:projects/{project}/locations/{location}/apps/{app}/guardrails/{guardrail}

dataStoreSettings

object (DataStoreSettings)

可选。应用的数据存储区设置。

defaultChannelProfile

object (ChannelProfile)

可选。应用使用的默认渠道配置文件。

metadata

map (key: string, value: string)

可选。有关应用的元数据。此字段可用于存储与应用详情或预期用途相关的其他信息。

包含一系列 "key": value 对的对象。示例:{ "name": "wrench", "mass": "1.3kg", "count": "3" }

createTime

string (Timestamp format)

仅限输出。应用创建时的时间戳。

采用 RFC 3339 标准,生成的输出将始终进行 Z 规范化(即转换为 UTC 零时区格式并在末尾附加 Z),并使用 0、3、6 或 9 个小数位。不带“Z”的偏差时间也是可以接受的。示例:"2014-10-02T15:01:23Z""2014-10-02T15:01:23.045123456Z""2014-10-02T15:01:23+05:30"

updateTime

string (Timestamp format)

仅限输出。上次更新应用时的时间戳。

采用 RFC 3339 标准,生成的输出将始终进行 Z 规范化(即转换为 UTC 零时区格式并在末尾附加 Z),并使用 0、3、6 或 9 个小数位。不带“Z”的偏差时间也是可以接受的。示例:"2014-10-02T15:01:23Z""2014-10-02T15:01:23.045123456Z""2014-10-02T15:01:23+05:30"

etag

string

仅限输出。用于确保对象在读取-修改-写入操作期间未发生更改的 ETag。如果 etag 为空,则更新会覆盖任何并发更改。

deploymentCount

integer

仅限输出。应用中的部署数量。

clientCertificateSettings

object (ClientCertificateSettings)

可选。应用的默认客户端证书设置。

locked

boolean

可选。指示应用是否已锁定以防止更改。如果应用处于锁定状态,对应用资源的修改将被拒绝。

LanguageSettings

JSON 表示法
{
  "defaultLanguageCode": string,
  "supportedLanguageCodes": [
    string
  ],
  "enableMultilingualSupport": boolean,
  "fallbackAction": string
}
字段
defaultLanguageCode

string

可选。应用的默认语言代码。

supportedLanguageCodes[]

string

可选。应用支持的语言代码列表(除 default_language_code 之外)。

enableMultilingualSupport

boolean

可选。启用多语言支持。如果为 true,应用中的代理将使用预构建的指令来改进对多语言输入的处理。

fallbackAction

string

可选。当代理收到不受支持的语言的输入时要执行的操作。

可以是预定义的操作,也可以是自定义的工具调用。有效值包括:- 工具的完整资源名称,用于触发特定工具执行。- 预定义的系统操作,例如“升级”或“退出”,此类操作会触发具有相应 metadataEndSession 信号来终止对话。

TimeZoneSettings

JSON 表示法
{
  "timeZone": string
}
字段
timeZone

string

可选。根据时区数据库确定的应用时区,例如 America/Los_Angeles、Europe/Paris。

AudioProcessingConfig

JSON 表示法
{
  "synthesizeSpeechConfigs": {
    string: {
      object (SynthesizeSpeechConfig)
    },
    ...
  },
  "bargeInConfig": {
    object (BargeInConfig)
  },
  "inactivityTimeout": string,
  "ambientSoundConfig": {
    object (AmbientSoundConfig)
  }
}
字段
synthesizeSpeechConfigs

map (key: string, value: object (SynthesizeSpeechConfig))

可选。代理响应的合成方式配置,从语言代码到 SynthesizeSpeechConfig 的映射。

如果找不到指定语言代码的配置,系统将使用根语言代码的配置。例如,如果该映射包含“en-us”和“en”,并且指定的语言代码为“en-gb”,则将使用“en”配置。

注意:语言代码不区分大小写。

包含一系列 "key": value 对的对象。示例:{ "name": "wrench", "mass": "1.3kg", "count": "3" }

bargeInConfig

object (BargeInConfig)

可选。配置用户抢占活动的代理行为。

inactivityTimeout

string (Duration format)

可选。在代理提示用户重新互动之前,用户处于非活跃状态(无语音或互动)的时长。如果未设置,代理将不会提示用户重新互动。

该时长以秒为单位,最多包含九个小数位,以“s”结尾。示例:"3.5s"

ambientSoundConfig

object (AmbientSoundConfig)

可选。配置与合成的代理回答一起播放的环境音,以增强对话的自然感。

SynthesizeSpeechConfigsEntry

JSON 表示法
{
  "key": string,
  "value": {
    object (SynthesizeSpeechConfig)
  }
}
字段
key

string

value

object (SynthesizeSpeechConfig)

SynthesizeSpeechConfig

JSON 表示法
{
  "voice": string,
  "speakingRate": number
}
字段
voice

string

可选。语音的名称。如果未设置,则该服务将根据其他参数(例如 language_code)选择语音。

如需查看可用的语音列表,请参阅 Cloud Text-to-Speech 的支持的语音和语言

speakingRate

number

可选。朗读速率/速度,范围为 [0.25, 2.0]。1.0 表示特定语音支持的正常原生速度。2.0 表示快一倍的速度,0.5 则表示原有速度的一半。如果值不在 [0.25, 2.0] 范围内,系统会返回错误。

BargeInConfig

JSON 表示法
{
  "disableBargeIn": boolean,
  "bargeInAwareness": boolean
}
字段
disableBargeIn
(deprecated)

boolean

可选。在代理说话时禁止用户插话。如果为 true,则在代理回答播放期间,系统会忽略用户输入。

已弃用:disable_barge_in 已弃用,取而代之的是 ChannelProfile 中的 disable_barge_in_control

bargeInAwareness

boolean

可选。如果启用此功能,代理会根据用户未听到之前代理消息的全部内容这一假设来调整其下一次响应。在以视觉方式显示代理响应的场景中,不应使用此属性。

时长

JSON 表示法
{
  "seconds": string,
  "nanos": integer
}
字段
seconds

string (int64 format)

时间段的带符号秒数。必须介于 -315,576,000,000 到 +315,576,000,000 之间(含边界值)。注意:这些界限的计算依据是:60 秒/分钟 * 60 分钟/小时 * 24 小时/天 * 365.25 天/年 * 10000 年

nanos

integer

时间跨度的有符号秒数小数部分(以纳秒为单位)。时长不足 1 秒时,seconds 字段为 0,nanos 字段为正数或负数。对于时长为 1 秒或更长时间的情况,nanos 字段的非零值必须与 seconds 字段的符号相同。必须介于 -999,999,999 到 +999,999,999 之间(含边界值)。

AmbientSoundConfig

JSON 表示法
{
  "volumeGainDb": number,

  // Union field source can be only one of the following:
  "prebuiltAmbientNoise": enum (PrebuiltAmbientNoise),
  "gcsUri": string,
  "prebuiltAmbientSound": string
  // End of list of possible types for union field source.
}
字段
volumeGainDb

number

可选。环境噪声支持的正常原生音量的音量增益(以分贝为单位),范围为 [-96.0, 16.0]。如果未设置,或设置为 0.0 (dB) 的值,则以正常的原生信号振幅播放。如果值为 -6.0 (dB),将使用约为正常原生信号幅度一半的幅度进行播放。如果值为 +6.0 (dB),将使用约为正常原生信号幅度一倍的幅度进行播放。我们强烈建议不要超过 +10 (dB),因为通常情况下,任何大于此值的响度都不会产生实际的响度增加效果。

联合字段 source。与合成的代理响应一起播放的环境噪音,以增强对话的自然感。source 只能是下列其中一项:
prebuiltAmbientNoise
(deprecated)

enum (PrebuiltAmbientNoise)

可选。已弃用:prebuilt_ambient_noise 已弃用,取而代之的是 prebuilt_ambient_sound

gcsUri

string

可选。作为单声道 16kHz WAV 文件存储在 Cloud Storage 中的环境噪声。

注意:请确保 CES 服务代理 service-<PROJECT-NUMBER>@gcp-sa-ces.iam.gserviceaccount.com 具有对 Cloud Storage 对象的 storage.objects.get 权限。

prebuiltAmbientSound

string

可选。预建环境音效的名称。有效值为:- "coffee_shop" - "keyboard" - "keypad" - "hum" - "office_1" - "office_2" - "office_3" - "room_1" - "room_2" - "room_3" - "room_4" - "room_5" - "air_conditioner"

LoggingSettings

JSON 表示法
{
  "redactionConfig": {
    object (RedactionConfig)
  },
  "audioRecordingConfig": {
    object (AudioRecordingConfig)
  },
  "bigqueryExportSettings": {
    object (BigQueryExportSettings)
  },
  "cloudLoggingSettings": {
    object (CloudLoggingSettings)
  },
  "conversationLoggingSettings": {
    object (ConversationLoggingSettings)
  },
  "evaluationAudioRecordingConfig": {
    object (AudioRecordingConfig)
  },
  "metricAnalysisSettings": {
    object (MetricAnalysisSettings)
  }
}
字段
redactionConfig

object (RedactionConfig)

可选。有关如何对敏感数据进行遮盖的配置。

audioRecordingConfig

object (AudioRecordingConfig)

可选。用于配置应如何记录音频互动。

bigqueryExportSettings

object (BigQueryExportSettings)

可选。用于描述应用的 BigQuery 导出行为的设置。如果已启用,对话数据将导出到 BigQuery 表。

cloudLoggingSettings

object (CloudLoggingSettings)

可选。用于描述应用的 Cloud Logging 行为的设置。

conversationLoggingSettings

object (ConversationLoggingSettings)

可选。用于描述应用的对话记录行为的设置。

evaluationAudioRecordingConfig

object (AudioRecordingConfig)

可选。用于评估的音频互动应如何记录的配置。默认情况下,评估会话不会启用音频录制功能。

metricAnalysisSettings

object (MetricAnalysisSettings)

可选。用于描述应用的 LLM 分析流水线的对话数据收集行为的设置。

RedactionConfig

JSON 表示法
{
  "enableRedaction": boolean,
  "inspectTemplate": string,
  "deidentifyTemplate": string
}
字段
enableRedaction

boolean

可选。如果为 true,则在各种日志记录场景(包括对话记录、Cloud Logging 和录音)中应用隐去。

inspectTemplate

string

可选。用于配置敏感数据类型检测的 DLP 检查模板名称。

格式:projects/{project}/locations/{location}/inspectTemplates/{inspect_template}

deidentifyTemplate

string

可选。DLP 去标识化模板名称,用于指示如何对内容进行去标识化处理。

格式:projects/{project}/locations/{location}/deidentifyTemplates/{deidentify_template}

AudioRecordingConfig

JSON 表示法
{
  "gcsBucket": string,
  "gcsPathPrefix": string
}
字段
gcsBucket

string

可选。用于存储会话音频录音的 Cloud Storage 存储桶。URI 必须以“gs://”开头。

请选择符合数据驻留要求的存储桶位置。

注意:如果 Cloud Storage 存储桶与应用位于不同的项目中,您应向 CES 服务代理 service-<PROJECT-NUMBER>@gcp-sa-ces.iam.gserviceaccount.com 授予 storage.objects.create 权限。

gcsPathPrefix

string

可选。音频录制的 Cloud Storage 路径前缀。

此前缀可以包含以下占位符,这些占位符将在投放时动态替换: - $project:项目 ID - $location:应用位置 - $app:应用 ID - $date:会话日期(采用 YYYY-MM-DD 格式) - $session:会话 ID

如果未指定路径前缀,系统将使用默认前缀 $project/$location/$app/$date/$session/

BigQueryExportSettings

JSON 表示法
{
  "enabled": boolean,
  "project": string,
  "dataset": string
}
字段
enabled

boolean

可选。指示是否已启用 BigQuery 导出。

project

string

可选。要将数据导出到的 BigQuery 数据集的项目 ID。

注意:如果 BigQuery 数据集与应用不在同一项目中,您应向 CES 服务代理 service-<PROJECT-NUMBER>@gcp-sa-ces.iam.gserviceaccount.com 授予 roles/bigquery.admin 角色。

dataset

string

可选。要将数据导出到的 BigQuery 数据集。

CloudLoggingSettings

JSON 表示法
{
  "enableCloudLogging": boolean
}
字段
enableCloudLogging

boolean

可选。是否为会话启用 Cloud Logging。

ConversationLoggingSettings

JSON 表示法
{
  "disableConversationLogging": boolean
}
字段
disableConversationLogging

boolean

可选。是否为会话停用对话日志记录。

MetricAnalysisSettings

JSON 表示法
{
  "llmMetricsOptedOut": boolean
}
字段
llmMetricsOptedOut

boolean

可选。是否收集对话数据以用于 LLM 分析指标。如果为 true,则不会收集对话数据以用于 LLM 分析指标;否则,将收集对话数据。

ErrorHandlingSettings

JSON 表示法
{
  "errorHandlingStrategy": enum (ErrorHandlingStrategy)
}
字段
errorHandlingStrategy

enum (ErrorHandlingStrategy)

可选。用于错误处理的策略。

ModelSettings

JSON 表示法
{
  "model": string,

  // Union field _temperature can be only one of the following:
  "temperature": number
  // End of list of possible types for union field _temperature.
}
字段
model

string

可选。智能体应使用的 LLM 模型。如果未设置,代理将沿用其父代理的模型。

联合字段 _temperature

_temperature 只能是下列其中一项:

temperature

number

可选。如果设置,系统将使用此温度值来运行 LLM 模型。温度可控制模型回答的随机性。温度越低,生成的回答就越可预测。温度越高,生成的回答就越有创意。

EvaluationMetricsThresholds

JSON 表示法
{
  "goldenEvaluationMetricsThresholds": {
    object (GoldenEvaluationMetricsThresholds)
  },
  "hallucinationMetricBehavior": enum (HallucinationMetricBehavior),
  "goldenHallucinationMetricBehavior": enum (HallucinationMetricBehavior),
  "scenarioHallucinationMetricBehavior": enum (HallucinationMetricBehavior)
}
字段
goldenEvaluationMetricsThresholds

object (GoldenEvaluationMetricsThresholds)

可选。黄金评估指标阈值。

hallucinationMetricBehavior
(deprecated)

enum (HallucinationMetricBehavior)

可选。已弃用:请改用 golden_hallucination_metric_behavior。目前,幻觉指标行为用于黄金评估。

goldenHallucinationMetricBehavior

enum (HallucinationMetricBehavior)

可选。黄金评估的幻觉指标行为。

scenarioHallucinationMetricBehavior

enum (HallucinationMetricBehavior)

可选。用于评估方案的幻觉指标行为。

GoldenEvaluationMetricsThresholds

JSON 表示法
{
  "turnLevelMetricsThresholds": {
    object (TurnLevelMetricsThresholds)
  },
  "expectationLevelMetricsThresholds": {
    object (ExpectationLevelMetricsThresholds)
  },
  "toolMatchingSettings": {
    object (ToolMatchingSettings)
  }
}
字段
turnLevelMetricsThresholds

object (TurnLevelMetricsThresholds)

可选。对话轮次级指标阈值。

expectationLevelMetricsThresholds

object (ExpectationLevelMetricsThresholds)

可选。预期级别指标阈值。

toolMatchingSettings

object (ToolMatchingSettings)

可选。工具匹配设置。额外的工具调用是指在执行中存在但在黄金预期中没有任何匹配的工具调用。

TurnLevelMetricsThresholds

JSON 表示法
{
  "semanticSimilarityChannel": enum (SemanticSimilarityChannel),

  // Union field _semantic_similarity_success_threshold can be only one of the
  // following:
  "semanticSimilaritySuccessThreshold": integer
  // End of list of possible types for union field
  // _semantic_similarity_success_threshold.

  // Union field _overall_tool_invocation_correctness_threshold can be only one
  // of the following:
  "overallToolInvocationCorrectnessThreshold": number
  // End of list of possible types for union field
  // _overall_tool_invocation_correctness_threshold.
}
字段
semanticSimilarityChannel

enum (SemanticSimilarityChannel)

可选。用于评估的语义相似度渠道。

联合字段 _semantic_similarity_success_threshold

_semantic_similarity_success_threshold 只能是下列其中一项:

semanticSimilaritySuccessThreshold

integer

可选。语义相似度的成功阈值。必须是介于 0 到 4 之间的整数。默认值为 >= 3。

联合字段 _overall_tool_invocation_correctness_threshold

_overall_tool_invocation_correctness_threshold 只能是下列其中一项:

overallToolInvocationCorrectnessThreshold

number

可选。工具调用的总体正确性成功阈值。必须是介于 0 到 1 之间的浮点数。默认值为 1.0。

ExpectationLevelMetricsThresholds

JSON 表示法
{

  // Union field _tool_invocation_parameter_correctness_threshold can be only one
  // of the following:
  "toolInvocationParameterCorrectnessThreshold": number
  // End of list of possible types for union field
  // _tool_invocation_parameter_correctness_threshold.
}
字段

联合字段 _tool_invocation_parameter_correctness_threshold

_tool_invocation_parameter_correctness_threshold 只能是下列其中一项:

toolInvocationParameterCorrectnessThreshold

number

可选。单个工具调用参数正确性的成功阈值。必须是介于 0 到 1 之间的浮点数。默认值为 1.0。

ToolMatchingSettings

JSON 表示法
{
  "extraToolCallBehavior": enum (ExtraToolCallBehavior)
}
字段
extraToolCallBehavior

enum (ExtraToolCallBehavior)

可选。针对额外工具调用的行为。默认值为 FAIL。

VariableDeclaration

JSON 表示法
{
  "name": string,
  "description": string,
  "schema": {
    object (Schema)
  }
}
字段
name

string

必需。变量的名称。名称必须以字母或下划线开头,并且只能包含字母、数字或下划线。

description

string

必需。变量的说明。

schema

object (Schema)

必需。变量的架构。

架构

JSON 表示法
{
  "type": enum (Type),
  "properties": {
    string: {
      object (Schema)
    },
    ...
  },
  "required": [
    string
  ],
  "description": string,
  "items": {
    object (Schema)
  },
  "nullable": boolean,
  "uniqueItems": boolean,
  "prefixItems": [
    {
      object (Schema)
    }
  ],
  "additionalProperties": {
    object (Schema)
  },
  "anyOf": [
    {
      object (Schema)
    }
  ],
  "enum": [
    string
  ],
  "default": value,
  "ref": string,
  "defs": {
    string: {
      object (Schema)
    },
    ...
  },
  "title": string,
  "minItems": string,
  "maxItems": string,

  // Union field _minimum can be only one of the following:
  "minimum": number
  // End of list of possible types for union field _minimum.

  // Union field _maximum can be only one of the following:
  "maximum": number
  // End of list of possible types for union field _maximum.
}
字段
type

enum (Type)

必需。数据类型。

properties

map (key: string, value: object (Schema))

可选。Type.OBJECT 的属性。

包含一系列 "key": value 对的对象。示例:{ "name": "wrench", "mass": "1.3kg", "count": "3" }

required[]

string

可选。Type.OBJECT 的必需属性。

description

string

可选。数据的说明。

items

object (Schema)

可选。Type.ARRAY 的元素的架构。

nullable

boolean

可选。指示值是否为 null。

uniqueItems

boolean

可选。表示数组中的项必须是唯一的。仅适用于 TYPE.ARRAY。

prefixItems[]

object (Schema)

可选。Type.ARRAY 的初始元素的架构。

additionalProperties

object (Schema)

可选。可以是布尔值或对象,用于控制是否存在其他属性。

anyOf[]

object (Schema)

可选。该值应根据列表中的任何(一个或多个)子架构进行验证。

enum[]

string

可选。原始类型的元素可能的具有枚举格式的值。示例:1. 我们可以将方向定义为:{type:STRING, format:enum, enum:["EAST", NORTH", "SOUTH", "WEST"]} 2. 我们可以将公寓号定义为:{type:INTEGER, format:enum, enum:["101", "201", "301"]}

default

value (Value format)

可选。数据的默认值。

ref

string

可选。允许在架构节点之间进行间接引用。该值应该是对根 defs 的子元素的有效引用。

例如,以下架构定义了对名为“Pet”的架构节点的引用:

type: object
properties:
  pet:
    ref: #/defs/Pet
defs:
  Pet:
    type: object
    properties:
      name:
        type: string

“pet”属性的值是对名为“Pet”的架构节点的引用。如需了解详情,请参阅 https://json-schema.org/understanding-json-schema/structuring

defs

map (key: string, value: object (Schema))

可选。供 ref 使用的定义映射。仅允许在架构的根级使用。

包含一系列 "key": value 对的对象。示例:{ "name": "wrench", "mass": "1.3kg", "count": "3" }

title

string

可选。架构的标题。

minItems

string (int64 format)

可选。Type.ARRAY 的元素数量下限。

maxItems

string (int64 format)

可选。Type.ARRAY 的元素数量上限。

联合字段 _minimum

_minimum 只能是下列其中一项:

minimum

number

可选。Type.INTEGER 和 Type.NUMBER 的最小值。

联合字段 _maximum

_maximum 只能是下列其中一项:

maximum

number

可选。Type.INTEGER 和 Type.NUMBER 的最大值。

PropertiesEntry

JSON 表示法
{
  "key": string,
  "value": {
    object (Schema)
  }
}
字段
key

string

value

object (Schema)

JSON 表示法
{

  // Union field kind can be only one of the following:
  "nullValue": null,
  "numberValue": number,
  "stringValue": string,
  "boolValue": boolean,
  "structValue": {
    object
  },
  "listValue": array
  // End of list of possible types for union field kind.
}
字段
联合字段 kind。值的类型。kind 只能是下列其中一项:
nullValue

null

表示 null 值。

numberValue

number

表示双精度值。

stringValue

string

表示字符串值。

boolValue

boolean

表示布尔值。

structValue

object (Struct format)

表示结构化值。

listValue

array (ListValue format)

表示重复的 Value

结构体

JSON 表示法
{
  "fields": {
    string: value,
    ...
  }
}
字段
fields

map (key: string, value: value (Value format))

无序的动态类型值映射。

包含一系列 "key": value 对的对象。示例:{ "name": "wrench", "mass": "1.3kg", "count": "3" }

FieldsEntry

JSON 表示法
{
  "key": string,
  "value": value
}
字段
key

string

value

value (Value format)

ListValue

JSON 表示法
{
  "values": [
    value
  ]
}
字段
values[]

value (Value format)

动态类型值的重复字段。

DefsEntry

JSON 表示法
{
  "key": string,
  "value": {
    object (Schema)
  }
}
字段
key

string

value

object (Schema)

DataStoreSettings

JSON 表示法
{
  "engines": [
    {
      object (Engine)
    }
  ]
}
字段
engines[]

object (Engine)

仅限输出。应用的引擎。

引擎

JSON 表示法
{
  "name": string,
  "type": enum (Type)
}
字段
name

string

仅限输出。引擎的资源名称。格式:projects/{project}/locations/{location}/collections/{collection}/engines/{engine}

type

enum (Type)

仅限输出。引擎的类型。

ChannelProfile

JSON 表示法
{
  "profileId": string,
  "channelType": enum (ChannelType),
  "personaProperty": {
    object (PersonaProperty)
  },
  "disableDtmf": boolean,
  "disableBargeInControl": boolean,
  "webWidgetConfig": {
    object (WebWidgetConfig)
  },
  "noiseSuppressionLevel": string
}
字段
profileId

string

可选。频道配置的唯一标识符。

channelType

enum (ChannelType)

可选。渠道配置文件的类型。

personaProperty

object (PersonaProperty)

可选。频道资料的身份属性。

disableDtmf

boolean

可选。是否停用 DTMF(双音多频)。

disableBargeInControl

boolean

可选。是否在对话中停用用户抢占控制。- true:在代理说话时,系统会停用用户中断。- false:智能体保留对用户何时可以中断的自动控制权。

webWidgetConfig

object (WebWidgetConfig)

可选。Web widget 的配置。

noiseSuppressionLevel

string

可选。渠道配置文件的降噪级别。可选的值包括“low”“moderate”“high”“very_high”。

PersonaProperty

JSON 表示法
{
  "persona": enum (Persona)
}
字段
persona

enum (Persona)

可选。频道的角色。

WebWidgetConfig

JSON 表示法
{
  "modality": enum (Modality),
  "theme": enum (Theme),
  "webWidgetTitle": string,
  "securitySettings": {
    object (SecuritySettings)
  }
}
字段
modality

enum (Modality)

可选。网络 widget 的模态。

theme

enum (Theme)

可选。网络微件的主题。

webWidgetTitle

string

可选。网络 widget 的标题。

securitySettings

object (SecuritySettings)

可选。Web widget 的安全设置。

SecuritySettings

JSON 表示法
{
  "enablePublicAccess": boolean,
  "enableOriginCheck": boolean,
  "allowedOrigins": [
    string
  ],
  "enableRecaptcha": boolean
}
字段
enablePublicAccess

boolean

可选。指示是否已启用对 Web widget 的公开访问权限。如果为 true,则 Web widget 将可公开访问。如果为 false,则必须将 Web widget 与您自己的身份验证和授权系统集成,以返回用于访问 CES 代理的有效凭据。

enableOriginCheck

boolean

可选。指示是否为 Web widget 启用了来源检查。如果值为 true,则 Web widget 将检查加载该 Web widget 的网站的来源,并且仅允许在同一来源或任何允许的来源中加载该 Web widget。

allowedOrigins[]

string

可选。允许托管 Web widget 的来源。来源由 RFC 6454 定义。如果为空,则允许所有来源。最多允许 100 个来源。示例:“https://example.com”

enableRecaptcha

boolean

可选。指示是否已启用 Web widget 的 reCAPTCHA 验证。

MetadataEntry

JSON 表示法
{
  "key": string,
  "value": string
}
字段
key

string

value

string

时间戳

JSON 表示法
{
  "seconds": string,
  "nanos": integer
}
字段
seconds

string (int64 format)

表示世界协调时间 (UTC) 的秒数(从 Unix 纪元 1970-01-01T00:00:00Z 开始算起)。必须介于 -62135596800 到 253402300799 之间(含边界值),对应于 0001-01-01T00:00:00Z 到 9999-12-31T23:59:59Z。

nanos

integer

秒数的非负小数部分(以纳秒为单位)。此字段是时长的纳秒部分,而不是秒的替代项。对于含小数部分的负秒数,仍必须包含按时间递升的非负纳秒值。必须在 0 到 999,999,999 之间(含边界值)。

ClientCertificateSettings

JSON 表示法
{
  "tlsCertificate": string,
  "privateKey": string,
  "passphrase": string
}
字段
tlsCertificate

string

必需。采用 PEM 格式编码的 TLS 证书。此字符串必须包含起始标题行和结束页脚行。

privateKey

string

必需。存储以 PEM 格式编码的私钥的 SecretManager 密文版本资源名称。格式:projects/{project}/secrets/{secret}/versions/{version}

passphrase

string

可选。用于存储解密私钥的口令的 SecretManager 密文版本资源的名称。如果私钥未加密,则应保持未设置状态。格式:projects/{project}/secrets/{secret}/versions/{version}

FieldMask

JSON 表示法
{
  "paths": [
    string
  ]
}
字段
paths[]

string

一组字段掩码路径。

输出架构

应用可用作一组代理(包括根代理及其子代理)以及相关联配置的顶层容器。这些代理协同工作,以在应用环境中实现特定目标。

应用

JSON 表示法
{
  "name": string,
  "displayName": string,
  "description": string,
  "pinned": boolean,
  "rootAgent": string,
  "languageSettings": {
    object (LanguageSettings)
  },
  "timeZoneSettings": {
    object (TimeZoneSettings)
  },
  "audioProcessingConfig": {
    object (AudioProcessingConfig)
  },
  "loggingSettings": {
    object (LoggingSettings)
  },
  "errorHandlingSettings": {
    object (ErrorHandlingSettings)
  },
  "modelSettings": {
    object (ModelSettings)
  },
  "toolExecutionMode": enum (ToolExecutionMode),
  "evaluationMetricsThresholds": {
    object (EvaluationMetricsThresholds)
  },
  "variableDeclarations": [
    {
      object (VariableDeclaration)
    }
  ],
  "predefinedVariableDeclarations": [
    {
      object (VariableDeclaration)
    }
  ],
  "globalInstruction": string,
  "guardrails": [
    string
  ],
  "dataStoreSettings": {
    object (DataStoreSettings)
  },
  "defaultChannelProfile": {
    object (ChannelProfile)
  },
  "metadata": {
    string: string,
    ...
  },
  "createTime": string,
  "updateTime": string,
  "etag": string,
  "deploymentCount": integer,
  "clientCertificateSettings": {
    object (ClientCertificateSettings)
  },
  "locked": boolean
}
字段
name

string

标识符。应用的唯一标识符。格式:projects/{project}/locations/{location}/apps/{app}

displayName

string

必需。应用的显示名称。

description

string

可选。应用的人类可读说明。

pinned

boolean

可选。应用是否固定在应用列表中。

rootAgent

string

可选。根代理是应用的入口点。格式:projects/{project}/locations/{location}/apps/{app}/agents/{agent}

languageSettings

object (LanguageSettings)

可选。应用的语言设置。

timeZoneSettings

object (TimeZoneSettings)

可选。应用的 TimeZone 设置。

audioProcessingConfig

object (AudioProcessingConfig)

可选。应用的音频处理配置。

loggingSettings

object (LoggingSettings)

可选。应用的日志记录设置。

errorHandlingSettings

object (ErrorHandlingSettings)

可选。应用错误处理设置。

modelSettings

object (ModelSettings)

可选。应用的默认 LLM 模型设置。各个资源(例如代理、安全屏障)可以根据需要替换这些配置。

toolExecutionMode

enum (ToolExecutionMode)

可选。应用的工具执行模式。如果未提供,将默认为 PARALLEL。

evaluationMetricsThresholds

object (EvaluationMetricsThresholds)

可选。应用的评估阈值。

variableDeclarations[]

object (VariableDeclaration)

可选。变量的声明。

predefinedVariableDeclarations[]

object (VariableDeclaration)

仅限输出。应用的预定义变量的声明。

globalInstruction

string

可选。应用中所有代理的指令。您可以使用此指令为所有代理设置稳定的身份或个性。

guardrails[]

string

可选。应用的防护栏列表。格式:projects/{project}/locations/{location}/apps/{app}/guardrails/{guardrail}

dataStoreSettings

object (DataStoreSettings)

可选。应用的数据存储区设置。

defaultChannelProfile

object (ChannelProfile)

可选。应用使用的默认渠道配置文件。

metadata

map (key: string, value: string)

可选。有关应用的元数据。此字段可用于存储与应用详情或预期用途相关的其他信息。

包含一系列 "key": value 对的对象。示例:{ "name": "wrench", "mass": "1.3kg", "count": "3" }

createTime

string (Timestamp format)

仅限输出。应用创建时的时间戳。

采用 RFC 3339 标准,生成的输出将始终进行 Z 规范化(即转换为 UTC 零时区格式并在末尾附加 Z),并使用 0、3、6 或 9 个小数位。不带“Z”的偏差时间也是可以接受的。示例:"2014-10-02T15:01:23Z""2014-10-02T15:01:23.045123456Z""2014-10-02T15:01:23+05:30"

updateTime

string (Timestamp format)

仅限输出。上次更新应用时的时间戳。

采用 RFC 3339 标准,生成的输出将始终进行 Z 规范化(即转换为 UTC 零时区格式并在末尾附加 Z),并使用 0、3、6 或 9 个小数位。不带“Z”的偏差时间也是可以接受的。示例:"2014-10-02T15:01:23Z""2014-10-02T15:01:23.045123456Z""2014-10-02T15:01:23+05:30"

etag

string

仅限输出。用于确保对象在读取-修改-写入操作期间未发生更改的 ETag。如果 etag 为空,则更新会覆盖任何并发更改。

deploymentCount

integer

仅限输出。应用中的部署数量。

clientCertificateSettings

object (ClientCertificateSettings)

可选。应用的默认客户端证书设置。

locked

boolean

可选。指示应用是否已锁定以防止更改。如果应用处于锁定状态,对应用资源的修改将被拒绝。

LanguageSettings

JSON 表示法
{
  "defaultLanguageCode": string,
  "supportedLanguageCodes": [
    string
  ],
  "enableMultilingualSupport": boolean,
  "fallbackAction": string
}
字段
defaultLanguageCode

string

可选。应用的默认语言代码。

supportedLanguageCodes[]

string

可选。应用支持的语言代码列表(除 default_language_code 之外)。

enableMultilingualSupport

boolean

可选。启用多语言支持。如果为 true,应用中的代理将使用预构建的指令来改进对多语言输入的处理。

fallbackAction

string

可选。当代理收到不受支持的语言的输入时要执行的操作。

可以是预定义的操作,也可以是自定义的工具调用。有效值包括:- 工具的完整资源名称,用于触发特定工具执行。- 预定义的系统操作,例如“升级”或“退出”,此类操作会触发具有相应 metadataEndSession 信号来终止对话。

TimeZoneSettings

JSON 表示法
{
  "timeZone": string
}
字段
timeZone

string

可选。根据时区数据库确定的应用时区,例如 America/Los_Angeles、Europe/Paris。

AudioProcessingConfig

JSON 表示法
{
  "synthesizeSpeechConfigs": {
    string: {
      object (SynthesizeSpeechConfig)
    },
    ...
  },
  "bargeInConfig": {
    object (BargeInConfig)
  },
  "inactivityTimeout": string,
  "ambientSoundConfig": {
    object (AmbientSoundConfig)
  }
}
字段
synthesizeSpeechConfigs

map (key: string, value: object (SynthesizeSpeechConfig))

可选。代理响应的合成方式配置,从语言代码到 SynthesizeSpeechConfig 的映射。

如果找不到指定语言代码的配置,系统将使用根语言代码的配置。例如,如果该映射包含“en-us”和“en”,并且指定的语言代码为“en-gb”,则将使用“en”配置。

注意:语言代码不区分大小写。

包含一系列 "key": value 对的对象。示例:{ "name": "wrench", "mass": "1.3kg", "count": "3" }

bargeInConfig

object (BargeInConfig)

可选。配置用户抢占活动的代理行为。

inactivityTimeout

string (Duration format)

可选。在代理提示用户重新互动之前,用户处于非活跃状态(无语音或互动)的时长。如果未设置,代理将不会提示用户重新互动。

该时长以秒为单位,最多包含九个小数位,以“s”结尾。示例:"3.5s"

ambientSoundConfig

object (AmbientSoundConfig)

可选。配置与合成的代理回答一起播放的环境音,以增强对话的自然感。

SynthesizeSpeechConfigsEntry

JSON 表示法
{
  "key": string,
  "value": {
    object (SynthesizeSpeechConfig)
  }
}
字段
key

string

value

object (SynthesizeSpeechConfig)

SynthesizeSpeechConfig

JSON 表示法
{
  "voice": string,
  "speakingRate": number
}
字段
voice

string

可选。语音的名称。如果未设置,则该服务将根据其他参数(例如 language_code)选择语音。

如需查看可用的语音列表,请参阅 Cloud Text-to-Speech 的支持的语音和语言

speakingRate

number

可选。朗读速率/速度,范围为 [0.25, 2.0]。1.0 表示特定语音支持的正常原生速度。2.0 表示快一倍的速度,0.5 则表示原有速度的一半。如果值不在 [0.25, 2.0] 范围内,系统会返回错误。

BargeInConfig

JSON 表示法
{
  "disableBargeIn": boolean,
  "bargeInAwareness": boolean
}
字段
disableBargeIn
(deprecated)

boolean

可选。在代理说话时禁止用户插话。如果为 true,则在代理回答播放期间,系统会忽略用户输入。

已弃用:disable_barge_in 已弃用,取而代之的是 ChannelProfile 中的 disable_barge_in_control

bargeInAwareness

boolean

可选。如果启用此功能,代理会根据用户未听到之前代理消息的全部内容这一假设来调整其下一次响应。在以视觉方式显示代理响应的场景中,不应使用此属性。

时长

JSON 表示法
{
  "seconds": string,
  "nanos": integer
}
字段
seconds

string (int64 format)

时间段的带符号秒数。必须介于 -315,576,000,000 到 +315,576,000,000 之间(含边界值)。注意:这些界限的计算依据是:60 秒/分钟 * 60 分钟/小时 * 24 小时/天 * 365.25 天/年 * 10000 年

nanos

integer

时间跨度的有符号秒数小数部分(以纳秒为单位)。时长不足 1 秒时,seconds 字段为 0,nanos 字段为正数或负数。对于时长为 1 秒或更长时间的情况,nanos 字段的非零值必须与 seconds 字段的符号相同。必须介于 -999,999,999 到 +999,999,999 之间(含边界值)。

AmbientSoundConfig

JSON 表示法
{
  "volumeGainDb": number,

  // Union field source can be only one of the following:
  "prebuiltAmbientNoise": enum (PrebuiltAmbientNoise),
  "gcsUri": string,
  "prebuiltAmbientSound": string
  // End of list of possible types for union field source.
}
字段
volumeGainDb

number

可选。环境噪声支持的正常原生音量的音量增益(以分贝为单位),范围为 [-96.0, 16.0]。如果未设置,或设置为 0.0 (dB) 的值,则以正常的原生信号振幅播放。如果值为 -6.0 (dB),将使用约为正常原生信号幅度一半的幅度进行播放。如果值为 +6.0 (dB),将使用约为正常原生信号幅度一倍的幅度进行播放。我们强烈建议不要超过 +10 (dB),因为通常情况下,任何大于此值的响度都不会产生实际的响度增加效果。

联合字段 source。与合成的代理响应一起播放的环境噪音,以增强对话的自然感。source 只能是下列其中一项:
prebuiltAmbientNoise
(deprecated)

enum (PrebuiltAmbientNoise)

可选。已弃用:prebuilt_ambient_noise 已弃用,取而代之的是 prebuilt_ambient_sound

gcsUri

string

可选。作为单声道 16kHz WAV 文件存储在 Cloud Storage 中的环境噪声。

注意:请确保 CES 服务代理 service-<PROJECT-NUMBER>@gcp-sa-ces.iam.gserviceaccount.com 具有对 Cloud Storage 对象的 storage.objects.get 权限。

prebuiltAmbientSound

string

可选。预建环境音效的名称。有效值为:- "coffee_shop" - "keyboard" - "keypad" - "hum" - "office_1" - "office_2" - "office_3" - "room_1" - "room_2" - "room_3" - "room_4" - "room_5" - "air_conditioner"

LoggingSettings

JSON 表示法
{
  "redactionConfig": {
    object (RedactionConfig)
  },
  "audioRecordingConfig": {
    object (AudioRecordingConfig)
  },
  "bigqueryExportSettings": {
    object (BigQueryExportSettings)
  },
  "cloudLoggingSettings": {
    object (CloudLoggingSettings)
  },
  "conversationLoggingSettings": {
    object (ConversationLoggingSettings)
  },
  "evaluationAudioRecordingConfig": {
    object (AudioRecordingConfig)
  },
  "metricAnalysisSettings": {
    object (MetricAnalysisSettings)
  }
}
字段
redactionConfig

object (RedactionConfig)

可选。有关如何对敏感数据进行遮盖的配置。

audioRecordingConfig

object (AudioRecordingConfig)

可选。用于配置应如何记录音频互动。

bigqueryExportSettings

object (BigQueryExportSettings)

可选。用于描述应用的 BigQuery 导出行为的设置。如果已启用,对话数据将导出到 BigQuery 表。

cloudLoggingSettings

object (CloudLoggingSettings)

可选。用于描述应用的 Cloud Logging 行为的设置。

conversationLoggingSettings

object (ConversationLoggingSettings)

可选。用于描述应用的对话记录行为的设置。

evaluationAudioRecordingConfig

object (AudioRecordingConfig)

可选。用于评估的音频互动应如何记录的配置。默认情况下,评估会话不会启用音频录制功能。

metricAnalysisSettings

object (MetricAnalysisSettings)

可选。用于描述应用的 LLM 分析流水线的对话数据收集行为的设置。

RedactionConfig

JSON 表示法
{
  "enableRedaction": boolean,
  "inspectTemplate": string,
  "deidentifyTemplate": string
}
字段
enableRedaction

boolean

可选。如果为 true,则在各种日志记录场景(包括对话记录、Cloud Logging 和录音)中应用隐去。

inspectTemplate

string

可选。用于配置敏感数据类型检测的 DLP 检查模板名称。

格式:projects/{project}/locations/{location}/inspectTemplates/{inspect_template}

deidentifyTemplate

string

可选。DLP 去标识化模板名称,用于指示如何对内容进行去标识化处理。

格式:projects/{project}/locations/{location}/deidentifyTemplates/{deidentify_template}

AudioRecordingConfig

JSON 表示法
{
  "gcsBucket": string,
  "gcsPathPrefix": string
}
字段
gcsBucket

string

可选。用于存储会话音频录音的 Cloud Storage 存储桶。URI 必须以“gs://”开头。

请选择符合数据驻留要求的存储桶位置。

注意:如果 Cloud Storage 存储桶与应用位于不同的项目中,您应向 CES 服务代理 service-<PROJECT-NUMBER>@gcp-sa-ces.iam.gserviceaccount.com 授予 storage.objects.create 权限。

gcsPathPrefix

string

可选。音频录制的 Cloud Storage 路径前缀。

此前缀可以包含以下占位符,这些占位符将在投放时动态替换: - $project:项目 ID - $location:应用位置 - $app:应用 ID - $date:会话日期(采用 YYYY-MM-DD 格式) - $session:会话 ID

如果未指定路径前缀,系统将使用默认前缀 $project/$location/$app/$date/$session/

BigQueryExportSettings

JSON 表示法
{
  "enabled": boolean,
  "project": string,
  "dataset": string
}
字段
enabled

boolean

可选。指示是否已启用 BigQuery 导出。

project

string

可选。要将数据导出到的 BigQuery 数据集的项目 ID。

注意:如果 BigQuery 数据集与应用不在同一项目中,您应向 CES 服务代理 service-<PROJECT-NUMBER>@gcp-sa-ces.iam.gserviceaccount.com 授予 roles/bigquery.admin 角色。

dataset

string

可选。要将数据导出到的 BigQuery 数据集。

CloudLoggingSettings

JSON 表示法
{
  "enableCloudLogging": boolean
}
字段
enableCloudLogging

boolean

可选。是否为会话启用 Cloud Logging。

ConversationLoggingSettings

JSON 表示法
{
  "disableConversationLogging": boolean
}
字段
disableConversationLogging

boolean

可选。是否为会话停用对话日志记录。

MetricAnalysisSettings

JSON 表示法
{
  "llmMetricsOptedOut": boolean
}
字段
llmMetricsOptedOut

boolean

可选。是否收集对话数据以用于 LLM 分析指标。如果为 true,则不会收集对话数据以用于 LLM 分析指标;否则,将收集对话数据。

ErrorHandlingSettings

JSON 表示法
{
  "errorHandlingStrategy": enum (ErrorHandlingStrategy)
}
字段
errorHandlingStrategy

enum (ErrorHandlingStrategy)

可选。用于错误处理的策略。

ModelSettings

JSON 表示法
{
  "model": string,

  // Union field _temperature can be only one of the following:
  "temperature": number
  // End of list of possible types for union field _temperature.
}
字段
model

string

可选。智能体应使用的 LLM 模型。如果未设置,代理将沿用其父代理的模型。

联合字段 _temperature

_temperature 只能是下列其中一项:

temperature

number

可选。如果设置,系统将使用此温度值来运行 LLM 模型。温度可控制模型回答的随机性。温度越低,生成的回答就越可预测。温度越高,生成的回答就越有创意。

EvaluationMetricsThresholds

JSON 表示法
{
  "goldenEvaluationMetricsThresholds": {
    object (GoldenEvaluationMetricsThresholds)
  },
  "hallucinationMetricBehavior": enum (HallucinationMetricBehavior),
  "goldenHallucinationMetricBehavior": enum (HallucinationMetricBehavior),
  "scenarioHallucinationMetricBehavior": enum (HallucinationMetricBehavior)
}
字段
goldenEvaluationMetricsThresholds

object (GoldenEvaluationMetricsThresholds)

可选。黄金评估指标阈值。

hallucinationMetricBehavior
(deprecated)

enum (HallucinationMetricBehavior)

可选。已弃用:请改用 golden_hallucination_metric_behavior。目前,幻觉指标行为用于黄金评估。

goldenHallucinationMetricBehavior

enum (HallucinationMetricBehavior)

可选。黄金评估的幻觉指标行为。

scenarioHallucinationMetricBehavior

enum (HallucinationMetricBehavior)

可选。用于评估方案的幻觉指标行为。

GoldenEvaluationMetricsThresholds

JSON 表示法
{
  "turnLevelMetricsThresholds": {
    object (TurnLevelMetricsThresholds)
  },
  "expectationLevelMetricsThresholds": {
    object (ExpectationLevelMetricsThresholds)
  },
  "toolMatchingSettings": {
    object (ToolMatchingSettings)
  }
}
字段
turnLevelMetricsThresholds

object (TurnLevelMetricsThresholds)

可选。对话轮次级指标阈值。

expectationLevelMetricsThresholds

object (ExpectationLevelMetricsThresholds)

可选。预期级别指标阈值。

toolMatchingSettings

object (ToolMatchingSettings)

可选。工具匹配设置。额外的工具调用是指在执行中存在但在黄金预期中没有任何匹配的工具调用。

TurnLevelMetricsThresholds

JSON 表示法
{
  "semanticSimilarityChannel": enum (SemanticSimilarityChannel),

  // Union field _semantic_similarity_success_threshold can be only one of the
  // following:
  "semanticSimilaritySuccessThreshold": integer
  // End of list of possible types for union field
  // _semantic_similarity_success_threshold.

  // Union field _overall_tool_invocation_correctness_threshold can be only one
  // of the following:
  "overallToolInvocationCorrectnessThreshold": number
  // End of list of possible types for union field
  // _overall_tool_invocation_correctness_threshold.
}
字段
semanticSimilarityChannel

enum (SemanticSimilarityChannel)

可选。用于评估的语义相似度渠道。

联合字段 _semantic_similarity_success_threshold

_semantic_similarity_success_threshold 只能是下列其中一项:

semanticSimilaritySuccessThreshold

integer

可选。语义相似度的成功阈值。必须是介于 0 到 4 之间的整数。默认值为 >= 3。

联合字段 _overall_tool_invocation_correctness_threshold

_overall_tool_invocation_correctness_threshold 只能是下列其中一项:

overallToolInvocationCorrectnessThreshold

number

可选。工具调用的总体正确性成功阈值。必须是介于 0 到 1 之间的浮点数。默认值为 1.0。

ExpectationLevelMetricsThresholds

JSON 表示法
{

  // Union field _tool_invocation_parameter_correctness_threshold can be only one
  // of the following:
  "toolInvocationParameterCorrectnessThreshold": number
  // End of list of possible types for union field
  // _tool_invocation_parameter_correctness_threshold.
}
字段

联合字段 _tool_invocation_parameter_correctness_threshold

_tool_invocation_parameter_correctness_threshold 只能是下列其中一项:

toolInvocationParameterCorrectnessThreshold

number

可选。单个工具调用参数正确性的成功阈值。必须是介于 0 到 1 之间的浮点数。默认值为 1.0。

ToolMatchingSettings

JSON 表示法
{
  "extraToolCallBehavior": enum (ExtraToolCallBehavior)
}
字段
extraToolCallBehavior

enum (ExtraToolCallBehavior)

可选。针对额外工具调用的行为。默认值为 FAIL。

VariableDeclaration

JSON 表示法
{
  "name": string,
  "description": string,
  "schema": {
    object (Schema)
  }
}
字段
name

string

必需。变量的名称。名称必须以字母或下划线开头,并且只能包含字母、数字或下划线。

description

string

必需。变量的说明。

schema

object (Schema)

必需。变量的架构。

架构

JSON 表示法
{
  "type": enum (Type),
  "properties": {
    string: {
      object (Schema)
    },
    ...
  },
  "required": [
    string
  ],
  "description": string,
  "items": {
    object (Schema)
  },
  "nullable": boolean,
  "uniqueItems": boolean,
  "prefixItems": [
    {
      object (Schema)
    }
  ],
  "additionalProperties": {
    object (Schema)
  },
  "anyOf": [
    {
      object (Schema)
    }
  ],
  "enum": [
    string
  ],
  "default": value,
  "ref": string,
  "defs": {
    string: {
      object (Schema)
    },
    ...
  },
  "title": string,
  "minItems": string,
  "maxItems": string,

  // Union field _minimum can be only one of the following:
  "minimum": number
  // End of list of possible types for union field _minimum.

  // Union field _maximum can be only one of the following:
  "maximum": number
  // End of list of possible types for union field _maximum.
}
字段
type

enum (Type)

必需。数据类型。

properties

map (key: string, value: object (Schema))

可选。Type.OBJECT 的属性。

包含一系列 "key": value 对的对象。示例:{ "name": "wrench", "mass": "1.3kg", "count": "3" }

required[]

string

可选。Type.OBJECT 的必需属性。

description

string

可选。数据的说明。

items

object (Schema)

可选。Type.ARRAY 的元素的架构。

nullable

boolean

可选。指示值是否为 null。

uniqueItems

boolean

可选。表示数组中的项必须是唯一的。仅适用于 TYPE.ARRAY。

prefixItems[]

object (Schema)

可选。Type.ARRAY 的初始元素的架构。

additionalProperties

object (Schema)

可选。可以是布尔值或对象,用于控制是否存在其他属性。

anyOf[]

object (Schema)

可选。该值应根据列表中的任何(一个或多个)子架构进行验证。

enum[]

string

可选。原始类型的元素可能的具有枚举格式的值。示例:1. 我们可以将方向定义为:{type:STRING, format:enum, enum:["EAST", NORTH", "SOUTH", "WEST"]} 2. 我们可以将公寓号定义为:{type:INTEGER, format:enum, enum:["101", "201", "301"]}

default

value (Value format)

可选。数据的默认值。

ref

string

可选。允许在架构节点之间进行间接引用。该值应该是对根 defs 的子元素的有效引用。

例如,以下架构定义了对名为“Pet”的架构节点的引用:

type: object
properties:
  pet:
    ref: #/defs/Pet
defs:
  Pet:
    type: object
    properties:
      name:
        type: string

“pet”属性的值是对名为“Pet”的架构节点的引用。如需了解详情,请参阅 https://json-schema.org/understanding-json-schema/structuring

defs

map (key: string, value: object (Schema))

可选。供 ref 使用的定义映射。仅允许在架构的根级使用。

包含一系列 "key": value 对的对象。示例:{ "name": "wrench", "mass": "1.3kg", "count": "3" }

title

string

可选。架构的标题。

minItems

string (int64 format)

可选。Type.ARRAY 的元素数量下限。

maxItems

string (int64 format)

可选。Type.ARRAY 的元素数量上限。

联合字段 _minimum

_minimum 只能是下列其中一项:

minimum

number

可选。Type.INTEGER 和 Type.NUMBER 的最小值。

联合字段 _maximum

_maximum 只能是下列其中一项:

maximum

number

可选。Type.INTEGER 和 Type.NUMBER 的最大值。

PropertiesEntry

JSON 表示法
{
  "key": string,
  "value": {
    object (Schema)
  }
}
字段
key

string

value

object (Schema)

JSON 表示法
{

  // Union field kind can be only one of the following:
  "nullValue": null,
  "numberValue": number,
  "stringValue": string,
  "boolValue": boolean,
  "structValue": {
    object
  },
  "listValue": array
  // End of list of possible types for union field kind.
}
字段
联合字段 kind。值的类型。kind 只能是下列其中一项:
nullValue

null

表示 null 值。

numberValue

number

表示双精度值。

stringValue

string

表示字符串值。

boolValue

boolean

表示布尔值。

structValue

object (Struct format)

表示结构化值。

listValue

array (ListValue format)

表示重复的 Value

结构体

JSON 表示法
{
  "fields": {
    string: value,
    ...
  }
}
字段
fields

map (key: string, value: value (Value format))

无序的动态类型值映射。

包含一系列 "key": value 对的对象。示例:{ "name": "wrench", "mass": "1.3kg", "count": "3" }

FieldsEntry

JSON 表示法
{
  "key": string,
  "value": value
}
字段
key

string

value

value (Value format)

ListValue

JSON 表示法
{
  "values": [
    value
  ]
}
字段
values[]

value (Value format)

动态类型值的重复字段。

DefsEntry

JSON 表示法
{
  "key": string,
  "value": {
    object (Schema)
  }
}
字段
key

string

value

object (Schema)

DataStoreSettings

JSON 表示法
{
  "engines": [
    {
      object (Engine)
    }
  ]
}
字段
engines[]

object (Engine)

仅限输出。应用的引擎。

引擎

JSON 表示法
{
  "name": string,
  "type": enum (Type)
}
字段
name

string

仅限输出。引擎的资源名称。格式:projects/{project}/locations/{location}/collections/{collection}/engines/{engine}

type

enum (Type)

仅限输出。引擎的类型。

ChannelProfile

JSON 表示法
{
  "profileId": string,
  "channelType": enum (ChannelType),
  "personaProperty": {
    object (PersonaProperty)
  },
  "disableDtmf": boolean,
  "disableBargeInControl": boolean,
  "webWidgetConfig": {
    object (WebWidgetConfig)
  },
  "noiseSuppressionLevel": string
}
字段
profileId

string

可选。频道配置的唯一标识符。

channelType

enum (ChannelType)

可选。渠道配置文件的类型。

personaProperty

object (PersonaProperty)

可选。频道资料的身份属性。

disableDtmf

boolean

可选。是否停用 DTMF(双音多频)。

disableBargeInControl

boolean

可选。是否在对话中停用用户抢占控制。- true:在代理说话时,系统会停用用户中断。- false:智能体保留对用户何时可以中断的自动控制权。

webWidgetConfig

object (WebWidgetConfig)

可选。Web widget 的配置。

noiseSuppressionLevel

string

可选。渠道配置文件的降噪级别。可选的值包括“low”“moderate”“high”“very_high”。

PersonaProperty

JSON 表示法
{
  "persona": enum (Persona)
}
字段
persona

enum (Persona)

可选。频道的角色。

WebWidgetConfig

JSON 表示法
{
  "modality": enum (Modality),
  "theme": enum (Theme),
  "webWidgetTitle": string,
  "securitySettings": {
    object (SecuritySettings)
  }
}
字段
modality

enum (Modality)

可选。网络 widget 的模态。

theme

enum (Theme)

可选。网络微件的主题。

webWidgetTitle

string

可选。网络 widget 的标题。

securitySettings

object (SecuritySettings)

可选。Web widget 的安全设置。

SecuritySettings

JSON 表示法
{
  "enablePublicAccess": boolean,
  "enableOriginCheck": boolean,
  "allowedOrigins": [
    string
  ],
  "enableRecaptcha": boolean
}
字段
enablePublicAccess

boolean

可选。指示是否已启用对 Web widget 的公开访问权限。如果为 true,则 Web widget 将可公开访问。如果为 false,则必须将 Web widget 与您自己的身份验证和授权系统集成,以返回用于访问 CES 代理的有效凭据。

enableOriginCheck

boolean

可选。指示是否为 Web widget 启用了来源检查。如果值为 true,则 Web widget 将检查加载该 Web widget 的网站的来源,并且仅允许在同一来源或任何允许的来源中加载该 Web widget。

allowedOrigins[]

string

可选。允许托管 Web widget 的来源。来源由 RFC 6454 定义。如果为空,则允许所有来源。最多允许 100 个来源。示例:“https://example.com”

enableRecaptcha

boolean

可选。指示是否已启用 Web widget 的 reCAPTCHA 验证。

MetadataEntry

JSON 表示法
{
  "key": string,
  "value": string
}
字段
key

string

value

string

时间戳

JSON 表示法
{
  "seconds": string,
  "nanos": integer
}
字段
seconds

string (int64 format)

表示世界协调时间 (UTC) 的秒数(从 Unix 纪元 1970-01-01T00:00:00Z 开始算起)。必须介于 -62135596800 到 253402300799 之间(含边界值),对应于 0001-01-01T00:00:00Z 到 9999-12-31T23:59:59Z。

nanos

integer

秒数的非负小数部分(以纳秒为单位)。此字段是时长的纳秒部分,而不是秒的替代项。对于含小数部分的负秒数,仍必须包含按时间递升的非负纳秒值。必须在 0 到 999,999,999 之间(含边界值)。

ClientCertificateSettings

JSON 表示法
{
  "tlsCertificate": string,
  "privateKey": string,
  "passphrase": string
}
字段
tlsCertificate

string

必需。采用 PEM 格式编码的 TLS 证书。此字符串必须包含起始标题行和结束页脚行。

privateKey

string

必需。存储以 PEM 格式编码的私钥的 SecretManager 密文版本资源名称。格式:projects/{project}/secrets/{secret}/versions/{version}

passphrase

string

可选。用于存储解密私钥的口令的 SecretManager 密文版本资源的名称。如果私钥未加密,则应保持未设置状态。格式:projects/{project}/secrets/{secret}/versions/{version}

工具注释

破坏性提示:✅ | 等幂性提示:❌ | 只读提示:❌ | 开放世界提示:❌